## palp 1.1

=== Makefile ===
# 				M A K E  F I L E

#   main programs:	  class.c  cws.c  poly.c  nef.c

SOURCES= Coord.c Rat.c Vertex.c Polynf.c 
OBJECTS= $(SOURCES:.c=.o)

CLASS_SRC= Subpoly.c Subadd.c Subdb.c
CLASS_OBJ= $(CLASS_SRC:.c=.o)

NEF_SRC= E_Poly.c Nefpart.c LG.c
NEF_OBJ= $(NEF_SRC:.c=.o)

CC=cc 

CFLAGS=-O3 -fast
# CFLAGS=-O3 -g				      # add -g for GNU debugger gdb
# CFLAGS=-Ofast -O3 -mips4 -n32		      # SGI / 32 bit
# CFLAGS=-Ofast -O3 -mips4 -64                # SGI / 64 bit
# CFLAGS=-O3 -fast -non_shared -arch pca56    # statically linked for alpha_PC

#   targets : dependencies ; command
#             command
#             ...

all:	poly class cws nef

clean:	;	rm -f *.o

cleanall: ;	rm -f *.o *.x core


poly:	poly.o  $(OBJECTS) LG.o  Global.h LG.h
	$(CC)   $(CFLAGS) -o  poly.x  poly.o  $(OBJECTS) LG.o

class:	class.o $(OBJECTS) $(CLASS_OBJ) Global.h Subpoly.h
	$(CC)   $(CFLAGS) -o class.x  class.o $(OBJECTS) $(CLASS_OBJ)

cws:    cws.o   $(OBJECTS) LG.o Global.h LG.h
	$(CC)   $(CFLAGS) -o cws.x  cws.o $(OBJECTS) LG.o

nef:    nef.o   $(OBJECTS) $(NEF_OBJ) Global.h 
	$(CC)   $(CFLAGS) -o  nef.x  nef.o  $(OBJECTS) $(NEF_OBJ)


#			     D E P E N D E N C I E S

Coord.o:        Global.h Rat.h 
Polynf.o:	Global.h Rat.h
Rat.o:          Global.h Rat.h 
Subpoly.o:      Global.h Rat.h Subpoly.h  
Subadd.o:	Global.h Subpoly.h
Vertex.o:       Global.h Rat.h  
Subdb.o:	Global.h Subpoly.h
LG.o:           Global.h Rat.h LG.h

E_Poly.o:       Global.h Nef.h Rat.h
Nefpart.o:	Global.h Nef.h

poly.o:         Global.h LG.h
class.o:	Global.h Subpoly.h
cws.o:		Global.h LG.h Rat.h
nef.o:          Global.h Nef.h LG.h


#	experimental stuff ...

mori:	mori.o  $(OBJECTS) Global.h
	$(CC)   $(CFLAGS) -o  mori.x  mori.o  $(OBJECTS)

mori.o: mori.c	Global.h

lgo:	lgotwist.c
	$(CC)   $(CFLAGS) -o lgo.x lgotwist.c

## palp 2.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # 				M A K E  F I L E
 
-#   main programs:	  class.c  cws.c  poly.c  nef.c
+#   main programs:	  class.c  cws.c  poly.c  nef.c  mori.c
 
 SOURCES= Coord.c Rat.c Vertex.c Polynf.c 
 OBJECTS= $(SOURCES:.c=.o)
@@ -10,6 +10,9 @@
 
 NEF_SRC= E_Poly.c Nefpart.c LG.c
 NEF_OBJ= $(NEF_SRC:.c=.o)
+
+MORI_SRC= Moricone.c
+MORI_OBJ= $(MORI_SRC:.c=.o)
 
 CC=cc 
 
@@ -41,6 +44,9 @@
 
 nef:    nef.o   $(OBJECTS) $(NEF_OBJ) Global.h 
 	$(CC)   $(CFLAGS) -o  nef.x  nef.o  $(OBJECTS) $(NEF_OBJ)
+	
+mori:   mori.o $(OBJECTS) $(MORI_OBJ) Global.h $(CC)   $(CFLAGS) -o  mori.x  mori.o  $(OBJECTS) $(MORI_OBJ)
+
 
 
 #			     D E P E N D E N C I E S
@@ -61,14 +67,15 @@
 class.o:	Global.h Subpoly.h
 cws.o:		Global.h LG.h Rat.h
 nef.o:          Global.h Nef.h LG.h
+mori.o:     Global.h Rat.h LG.h
 
 
 #	experimental stuff ...
 
-mori:	mori.o  $(OBJECTS) Global.h
-	$(CC)   $(CFLAGS) -o  mori.x  mori.o  $(OBJECTS)
-
-mori.o: mori.c	Global.h
-
-lgo:	lgotwist.c
-	$(CC)   $(CFLAGS) -o lgo.x lgotwist.c
+#mori:	mori.o  $(OBJECTS) Global.h
+#	$(CC)   $(CFLAGS) -o  mori.x  mori.o  $(OBJECTS)
+#
+#mori.o: mori.c	Global.h
+#
+#lgo:	lgotwist.c
+#	$(CC)   $(CFLAGS) -o lgo.x lgotwist.c

=== debian/changelog ===
palp (2.1-2) unstable; urgency=low

  * Added the dimensional variants to follow what sage does, as doing
    computations with the wrong variant can lead to false results.
  * Updated the manpages to cope with the previous change.
  * Pushed the standard-versions up.

 -- Julien Puydt <julien.puydt@laposte.net>  Sun, 15 Sep 2013 14:17:23 +0200

palp (2.1-1) unstable; urgency=low

  * New maintainer upload. Thanks Tim!
  * Converted to source 3.0 (quilt) and using dh instead of cdbs.
  * Update to newer upstream version (Closes: #672785).
  * Updated the copyright file according to the newer version.
  * Added a debian/watch.
  * Added manpages (obtained using help2man and manual work).
  * Patched away formatting warnings (forwarded upstream).
  * Use autotools to build the sources (forwarded upstream).
  * Allow using -D to set POLY_Dmax (forwarded upstream).

 -- Julien Puydt <julien.puydt@laposte.net>  Mon, 13 Aug 2012 14:27:31 +0200

palp (1.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: Subpoly.c:870:3: error: format not a string literal and
    no format arguments [-Werror=format-security]": add patch
    format-security.patch: adds missing format arguments.
    Closes: #643452

 -- gregor herrmann <gregoa@debian.org>  Wed, 21 Dec 2011 17:35:45 +0100

palp (1.1-1) unstable; urgency=low

  * Initial release (Closes: #480079).

 -- Tim Abbott <tabbott@mit.edu>  Tue, 27 May 2008 20:17:07 -0400

=== debian/control ===
Source: palp
Section: math
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Tim Abbott <tabbott@mit.edu>,
           Julien Puydt <julien.puydt@laposte.net>
Build-Depends: debhelper (>= 9), dh-autoreconf (>= 4~)
Homepage: http://hep.itp.tuwien.ac.at/~kreuzer/CY/CYpalp.html
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/debian-science/packages/palp.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/palp.git

Package: palp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Package for Analyzing Lattice Polytopes
 This package contains various tools to work with lattice polytopes:
 .
  - mori.x computes star triangulations of a polytope
  - cws.x creates weight systems and combined weight systems
  - class.x classifies reflexive polytopes
  - poly.x computes data of a polytope
  - nef.x computes Hodge numbers of nef-partitions

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	cp debian/configure.ac debian/GNUmakefile.am .
	touch NEWS README ChangeLog AUTHORS
	dh_autoreconf

override_dh_auto_build:
	dh_auto_build -- V=1

override_dh_auto_install:
	dh_auto_install
	dh_link usr/bin/class-6d.x usr/bin/class.x
	dh_link usr/bin/cws-6d.x usr/bin/cws.x
	dh_link usr/bin/mori-6d.x usr/bin/mori.x
	dh_link usr/bin/nef-6d.x usr/bin/nef.x
	dh_link usr/bin/poly-6d.x usr/bin/poly.x
	dh_link usr/share/man/man1/class.x.1  usr/share/man/man1/class-4d.x.1
	dh_link usr/share/man/man1/cws.x.1  usr/share/man/man1/cws-4d.x.1
	dh_link usr/share/man/man1/mori.x.1  usr/share/man/man1/mori-4d.x.1
	dh_link usr/share/man/man1/nef.x.1  usr/share/man/man1/nef-4d.x.1
	dh_link usr/share/man/man1/poly.x.1  usr/share/man/man1/poly-4d.x.1
	dh_link usr/share/man/man1/class.x.1  usr/share/man/man1/class-5d.x.1
	dh_link usr/share/man/man1/cws.x.1  usr/share/man/man1/cws-5d.x.1
	dh_link usr/share/man/man1/mori.x.1  usr/share/man/man1/mori-5d.x.1
	dh_link usr/share/man/man1/nef.x.1  usr/share/man/man1/nef-5d.x.1
	dh_link usr/share/man/man1/poly.x.1  usr/share/man/man1/poly-5d.x.1
	dh_link usr/share/man/man1/class.x.1  usr/share/man/man1/class-6d.x.1
	dh_link usr/share/man/man1/cws.x.1  usr/share/man/man1/cws-6d.x.1
	dh_link usr/share/man/man1/mori.x.1  usr/share/man/man1/mori-6d.x.1
	dh_link usr/share/man/man1/nef.x.1  usr/share/man/man1/nef-6d.x.1
	dh_link usr/share/man/man1/poly.x.1  usr/share/man/man1/poly-6d.x.1
	dh_link usr/share/man/man1/class.x.1  usr/share/man/man1/class-11d.x.1
	dh_link usr/share/man/man1/cws.x.1  usr/share/man/man1/cws-11d.x.1
	dh_link usr/share/man/man1/mori.x.1  usr/share/man/man1/mori-11d.x.1
	dh_link usr/share/man/man1/nef.x.1  usr/share/man/man1/nef-11d.x.1
	dh_link usr/share/man/man1/poly.x.1  usr/share/man/man1/poly-11d.x.1

=== debian/watch ===
version=3
http://hep.itp.tuwien.ac.at/~kreuzer/CY/palp/palp-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## palp 2.12

=== debian/changelog ===
palp (2.12-1) unstable; urgency=medium

  * New upstream release.
  * Drop fix-format-errors.patch (upstreamed).
  * Drop dim.patch (upstreamed).
  * Update team mailing list address.
  * Bump dh-compat to 13.
  * Declare d/rules doesn't require root.
  * Update d/copyright.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 19 Aug 2020 09:20:31 +0200

palp (2.11-1) unstable; urgency=medium

  * New upstream release.
  * Drop the gcc 10 patch (obsolete).
  * Update forward status of the remaining patches.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 15 May 2020 11:15:51 +0200

palp (2.1-6) unstable; urgency=medium

  * Add patch for gcc 10 compilation. (Closes: #957661)
  * Refresh packaging :
    - Drop d/compat and use dh-compat 12.
    - Bump std-ver to 4.5.0.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 08 May 2020 17:19:09 +0200

palp (2.1-5) unstable; urgency=medium

  * Refresh packaging:
    - Use my debian.org mail address.
    - Point Vcs-* fields to salsa.
    - Bump d/watch to version 4.
    - Bump dh compat to 11.
    - Bump std-ver to 4.1.5.
    - Get long compilation lines by default.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 08 Aug 2018 00:58:44 +0200

palp (2.1-4) unstable; urgency=medium

  * Enabled all hardening flags.
  * Simplified d/rules by using a palp.links.
  * Bump standards-version to 4.0.0 and dh compat to 10.

 -- Julien Puydt <julien.puydt@laposte.net>  Tue, 15 Aug 2017 00:53:11 +0200

palp (2.1-3) unstable; urgency=medium

  * Rewrote d/copyright.
  * Pushed standard-versions up.
  * Moved d/upstream to d/upstream/metadata according to new standard.
  * Rewrote Vcs-* fields to use https.

 -- Julien Puydt <julien.puydt@laposte.net>  Sat, 30 Jul 2016 22:23:10 +0200

## palp 2.20

=== debian/changelog ===
palp (2.20-2) unstable; urgency=medium

  * Bump standards-version to 4.6.0.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 26 Aug 2021 15:13:41 +0200

palp (2.20-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 21 Oct 2020 21:30:48 +0200

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_autoreconf:
	cp debian/configure.ac debian/GNUmakefile.am .
	dh_autoreconf

=== debian/watch ===
version=4
http://hep.itp.tuwien.ac.at/~kreuzer/CY/palp/palp-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## palp 2.21

=== debian/changelog ===
palp (2.21-1) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.

  [ Julien Puydt ]
  * New upstream release (Closes: #1066232).
  * Fix double compilation (Closes: #1047483).

 -- Julien Puydt <jpuydt@debian.org>  Mon, 16 Sep 2024 14:36:02 +0200

=== debian/control ===
Source: palp
Section: math
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@alioth-lists.debian.net>
Uploaders: Tim Abbott <tabbott@mit.edu>,
           Julien Puydt <jpuydt@debian.org>
Build-Depends: debhelper-compat (= 13)
Homepage: http://hep.itp.tuwien.ac.at/~kreuzer/CY/CYpalp.html
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/science-team/palp.git
Vcs-Browser: https://salsa.debian.org/science-team/palp

Package: palp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Package for Analyzing Lattice Polytopes
 This package contains various tools to work with lattice polytopes:
 .
  - mori.x computes star triangulations of a polytope
  - cws.x creates weight systems and combined weight systems
  - class.x classifies reflexive polytopes
  - poly.x computes data of a polytope
  - nef.x computes Hodge numbers of nef-partitions

=== debian/rules ===
--- 
+++ 
@@ -6,5 +6,15 @@
 	dh $@
 
 override_dh_autoreconf:
+	if ! test -f GNUmakefile.bak; then \
+	  mv GNUmakefile GNUmakefile.bak ; \
+	fi
 	cp debian/configure.ac debian/GNUmakefile.am .
 	dh_autoreconf
+
+override_dh_auto_clean:
+	make clean
+	rm -f configure.ac GNUmakefile.am config.log config.status
+	if test -f GNUmakefile.bak; then \
+	  mv GNUmakefile.bak GNUmakefile ; \
+	fi
